com.hazelcast.config.properties

## Enum PropertyTypeConverter

- java.lang.Object
- - java.lang.Enum<PropertyTypeConverter>
  - - com.hazelcast.config.properties.PropertyTypeConverter

- All Implemented Interfaces:
    TypeConverter, Serializable, Comparable<PropertyTypeConverter>

      public enum PropertyTypeConverter
      extends Enum<PropertyTypeConverter>
      implements TypeConverter

  This enum class contains basic `TypeConverter` implementations to convert strings to all common basic Java types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOOLEAN` `TypeConverter` to convert an input string to an output boolean
    `DOUBLE` `TypeConverter` to convert an input string to an output double
    `FLOAT` `TypeConverter` to convert an input string to an output float
    `INTEGER` `TypeConverter` to convert an input string to an output int
    `LONG` `TypeConverter` to convert an input string to an output long
    `SHORT` `TypeConverter` to convert an input string to an output short
    `STRING` `TypeConverter` that bypasses a string

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyTypeConverter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyTypeConverter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.hazelcast.core.TypeConverter

      `convert`

- - ### Enum Constant Detail

    - #### STRING

          public static final PropertyTypeConverter STRING

      `TypeConverter` that bypasses a string

    - #### SHORT

          public static final PropertyTypeConverter SHORT

      `TypeConverter` to convert an input string to an output short

    - #### INTEGER

          public static final PropertyTypeConverter INTEGER

      `TypeConverter` to convert an input string to an output int

    - #### LONG

          public static final PropertyTypeConverter LONG

      `TypeConverter` to convert an input string to an output long

    - #### FLOAT

          public static final PropertyTypeConverter FLOAT

      `TypeConverter` to convert an input string to an output float

    - #### DOUBLE

          public static final PropertyTypeConverter DOUBLE

      `TypeConverter` to convert an input string to an output double

    - #### BOOLEAN

          public static final PropertyTypeConverter BOOLEAN

      `TypeConverter` to convert an input string to an output boolean

  - ### Method Detail

    - #### values

          public static PropertyTypeConverter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyTypeConverter c : PropertyTypeConverter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyTypeConverter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All rights reserved.